--- old/usr/src/uts/common/vm/seg.h	2015-05-08 18:04:22.225672934 -0400
+++ new/usr/src/uts/common/vm/seg.h	2015-05-08 18:04:22.232987372 -0400
@@ -222,8 +222,6 @@
 /* Values for segop_inherit */
 #define	SEGP_INH_ZERO	0x01
 
-int seg_inherit_notsup(struct seg *, caddr_t, size_t, uint_t);
-
 /* Delay/retry factors for seg_p_mem_config_pre_del */
 #define	SEGP_PREDEL_DELAY_FACTOR	4
 /*
--- old/usr/src/uts/common/vm/seg_dev.c	2015-05-08 18:04:22.436399531 -0400
+++ new/usr/src/uts/common/vm/seg_dev.c	2015-05-08 18:04:22.443983232 -0400
@@ -214,7 +214,6 @@
 	.getmemid	= segdev_getmemid,
 	.getpolicy	= segdev_getpolicy,
 	.capable	= segdev_capable,
-	.inherit	= seg_inherit_notsup,
 };
 
 /*
--- old/usr/src/uts/common/vm/seg_kmem.c	2015-05-08 18:04:22.784881516 -0400
+++ new/usr/src/uts/common/vm/seg_kmem.c	2015-05-08 18:04:22.792307241 -0400
@@ -775,7 +775,6 @@
 	.getmemid	= segkmem_getmemid,
 	.getpolicy	= segkmem_getpolicy,
 	.capable	= segkmem_capable,
-	.inherit	= seg_inherit_notsup,
 };
 
 int
--- old/usr/src/uts/common/vm/seg_kp.c	2015-05-08 18:04:23.035949173 -0400
+++ new/usr/src/uts/common/vm/seg_kp.c	2015-05-08 18:04:23.043269111 -0400
@@ -151,7 +151,6 @@
 	.getmemid	= segkp_getmemid,
 	.getpolicy	= segkp_getpolicy,
 	.capable	= segkp_capable,
-	.inherit	= seg_inherit_notsup,
 };
 
 
--- old/usr/src/uts/common/vm/seg_kpm.c	2015-05-08 18:04:23.284474361 -0400
+++ new/usr/src/uts/common/vm/seg_kpm.c	2015-05-08 18:04:23.291760405 -0400
@@ -113,7 +113,6 @@
 	.dump		= segkpm_dump,
 	.pagelock	= segkpm_pagelock,
 	.capable	= segkpm_capable,
-	.inherit	= seg_inherit_notsup,
 //#ifndef SEGKPM_SUPPORT
 #if 0
 #error FIXME: define nop
--- old/usr/src/uts/common/vm/seg_map.c	2015-05-08 18:04:23.495259233 -0400
+++ new/usr/src/uts/common/vm/seg_map.c	2015-05-08 18:04:23.502753299 -0400
@@ -112,7 +112,6 @@
 	.getmemid	= segmap_getmemid,
 	.getpolicy	= segmap_getpolicy,
 	.capable	= segmap_capable,
-	.inherit	= seg_inherit_notsup,
 };
 
 /*
--- old/usr/src/uts/common/vm/seg_spt.c	2015-05-08 18:04:23.779829430 -0400
+++ new/usr/src/uts/common/vm/seg_spt.c	2015-05-08 18:04:23.787408173 -0400
@@ -80,7 +80,6 @@
 	.unmap		= segspt_unmap,
 	.free		= segspt_free,
 	.getpolicy	= segspt_getpolicy,
-	.inherit	= seg_inherit_notsup,
 };
 
 static int segspt_shmdup(struct seg *seg, struct seg *newseg);
@@ -138,7 +137,6 @@
 	.getmemid	= segspt_shmgetmemid,
 	.getpolicy	= segspt_shmgetpolicy,
 	.capable	= segspt_shmcapable,
-	.inherit	= seg_inherit_notsup,
 };
 
 static void segspt_purge(struct seg *seg);
--- old/usr/src/uts/common/vm/vm_as.c	2015-05-08 18:04:24.090028933 -0400
+++ new/usr/src/uts/common/vm/vm_as.c	2015-05-08 18:04:24.097547590 -0400
@@ -2398,12 +2398,7 @@
 			break;
 
 		case MC_INHERIT_ZERO:
-			if (seg->s_ops->inherit == NULL) {
-				error = ENOTSUP;
-			} else {
-				error = segop_inherit(seg, raddr, ssize,
-				    SEGP_INH_ZERO);
-			}
+			error = segop_inherit(seg, raddr, ssize, SEGP_INH_ZERO);
 			if (error != 0) {
 				AS_LOCK_EXIT(as, &as->a_lock);
 				return (error);
--- old/usr/src/uts/common/vm/vm_seg.c	2015-05-08 18:04:24.410318087 -0400
+++ new/usr/src/uts/common/vm/vm_seg.c	2015-05-08 18:04:24.417737358 -0400
@@ -1854,16 +1854,6 @@
 }
 
 /*
- * General not supported function for segop_inherit
- */
-/* ARGSUSED */
-int
-seg_inherit_notsup(struct seg *seg, caddr_t addr, size_t len, uint_t op)
-{
-	return (ENOTSUP);
-}
-
-/*
  * segop wrappers
  */
 int
--- old/usr/src/uts/i86xpv/vm/seg_mf.c	2015-05-08 18:04:24.680475134 -0400
+++ new/usr/src/uts/i86xpv/vm/seg_mf.c	2015-05-08 18:04:24.687773878 -0400
@@ -780,5 +780,4 @@
 	.getmemid	= segmf_getmemid,
 	.getpolicy	= segmf_getpolicy,
 	.capable	= segmf_capable,
-	.inherit	= seg_inherit_notsup,
 };
